# Class CIM_IPsecRule
extends CIM_SARule

IPsecRule contains the Conditions and Actions for phase 2 negotiations or to specify static actions such as Discard.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Policy
|
+--CIM_PolicySet
|
+--CIM_PolicyRule
|
+--CIM_SARule
|
+--CIM_IPsecRule

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | IPsecRule contains the Conditions and Actions for phase 2 negotiations or to specify static actions such as Discard.
MappingStrings | string | IPSP Policy Model.IETF|IPsecRule
UMLPackagePath | string | CIM::IPsecPolicy
Version | string | 2.8.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommonName | string | CIM_Policy
ConditionListType | uint16 | CIM_PolicyRule
CreationClassName | string | CIM_PolicyRule
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
Enabled | uint16 | CIM_PolicySet
ExecutionStrategy | uint16 | CIM_PolicyRule
InstanceID | string | CIM_ManagedElement
LimitNegotiation | uint16 | CIM_SARule
Mandatory | boolean | CIM_PolicyRule
PolicyDecisionStrategy | uint16 | CIM_PolicySet
PolicyRuleName | string | CIM_PolicyRule
Priority | uint16 | CIM_PolicyRule
RuleUsage | string | CIM_PolicyRule
SequencedActions | uint16 | CIM_PolicyRule
SystemCreationClassName | string | CIM_PolicyRule
SystemName | string | CIM_PolicyRule
PolicyKeywords | string[] | CIM_Policy
PolicyRoles | string[] | CIM_PolicySet

## Class Methods